Subject: Re: [PATCH] Sam440ep support

From: Sean MacLennan <[email-masked]>
Date: Tue, 6 May 2008 00:18:50 -0400

On Tue, 06 May 2008 09:36:48 +1000
"Benjamin Herrenschmidt" <[email-masked]> wrote:

> The IBM IIC driver should already have an of_platform_device created
> for it, so we can have here a generic driver for that chip that
> instanciates itself based on it. No need to create a platform
> device .. Or is the ibm iic host driver only in the form of a
> platform device nowadays ?

As of 2.6.26-rc1 (and I believe Josh's for-2.6.26 tree?) the ibm iic
driver is available as an of_platform driver. So you need a very recent
kernel.

However, the patches should be available in the linuxppc-dev archives if
you search for them.

Look at platforms/44x/warp.c for an example of how to initialize the
driver for the 440EP.

Cheers,
   Sean